Name:		openvas-libraries
Summary:	Support libraries for Open Vulnerability Assessment (OpenVAS) Scanner
URL:		http://www.openvas.org
License:	LGPLv2
Group:		System Environment/Libraries
Version:	4.0.3
Release:	2%{?dist}
Source0:	http://wald.intevation.org/frs/download.php/859/%{name}-%{version}.tar.gz
Patch0:         openvas-libraries-notused.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes:	openvas-libnasl
BuildRequires:	glib2-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	gnutls-devel
BuildRequires:	libpcap-devel
BuildRequires:	libuuid-devel
BuildRequires:	gpgme-devel
BuildRequires:	cmake >= 2.6.0
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig


%package devel
Summary:	Development files for openvas-libraries
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description
openvas-libraries is the base library for the OpenVAS network
security scanner.

%description devel
Development libraries and headers for use with openvas-libraries.

%prep
%setup -q
%patch0 -p 1 -b notused.patch


%build
#export CFLAGS=-Werror=unused-but-set-variable
%cmake -DLOCALSTATEDIR:PATH=%{_var}
# No parallel build because it causes compilation problems
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Remove static libraries
find %{buildroot} -name '*.a' -exec rm -f {} ';'

# Currently I don't know for what is this used so I removing it
rm -f %{buildroot}/%{_datadir}/openvas/openvas-lsc-rpm-creator.sh

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc INSTALL README COPYING* ChangeLog CHANGES
%dir %{_datadir}/openvas
%dir %{_sysconfdir}/openvas
%{_bindir}/openvas-nasl
%{_mandir}/man1/openvas-nasl.1.*
%{_libdir}/libopenvas_base.so.*
%{_libdir}/libopenvas_hg.so.*
%{_libdir}/libopenvas_misc.so.*
%{_libdir}/libopenvas_nasl.so.*
%{_libdir}/libopenvas_omp.so.*
%{_datadir}/openvas/openvas-services

%files devel
%defattr(-,root,root,-)
%{_includedir}/openvas/
%{_libdir}/libopenvas_base.so
%{_libdir}/libopenvas_hg.so
%{_libdir}/libopenvas_misc.so
%{_libdir}/libopenvas_nasl.so
%{_libdir}/libopenvas_omp.so
%{_libdir}/pkgconfig/libopenvas.pc

%changelog
* Tue Mar 22 2011 Michal Ambroz <rebus at, seznam.cz> - 4.0.3-2
- patch not used

* Fri Mar 18 2011 Michal Ambroz <rebus at, seznam.cz> - 4.0.3-1
- Bump to latest stable release 4

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov 20 2010 Stjepan Gros <stjepan.gros@gmail.com> - 3.1.4-1
- Bump to latest stable release
- Added libuuid-devel build time dependency

* Mon Apr 5 2010 Huzaifa Sidhpurwala <huzaifas@redhat.com> - 3.0.3-3
- Obsolete openvas-libnasl

* Wed Mar 3 2010 Huzaifa Sidhpurwala <huzaifas@redhat.com> - 3.0.3-2
- Correct license to LGPLv2

* Mon Mar 1 2010 Huzaifa Sidhpurwala <huzaifas@redhat.com> - 3.0.3-1
- Upgraded to a new upstream version
- Spec from Stjepan Gros

* Wed Nov 26 2009 Huzaifa Sidhpurwala <huzaifas@redhat.com> 2.0.4-3
- Update to 2.0.4.
- Fix %%setup invocation.
- Add BR: glib2-devel.
- Version bump so that it builds

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct 13 2008 Huzaifa Sidhpurwala <huzaifas@redhat.com> 1.0-2-2
- More changes to the spec

* Wed Sep 9 2008 Huzaifa Sidhpurwala <huzaifas@redhat.com> 1.0.2-1
- Built on newer upstream version
- Minor spec changes

* Wed Sep 9 2008 Huzaifa Sidhpurwala <huzaifas@redhat.com> 1.0.1-1
- Inital Fedora version

* Tue Apr 15 2008 Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>
  Initial SUSE 10.2 spec file, tested for i586
